@import "./common.scss";

// .menu
.menu {
  position: fixed 0 0 0 0;
  z-index: 1000;

  display: none;
  overflow: hidden;

  width: 100%;
  height: 100vh;

  @media (width <= 768PX) {
    overflow-y: auto;
    flex-direction: column;
  }

  &__row {
    @media (width <= 768PX) {
      display: none;
    }
  }

  // .menu__left-blue
  &__left-blue {
    position: absolute;
    z-index: 1;
    top: -10%;
    left: 0%;

    display: flex;

    width: 500px;
    height: 120%;

    transition: all 1s easeOutCirc;
    animation-name: menu-left-blue;
    animation-duration: 1s;

    background: $gradientLeftBlue;
    box-shadow: $jalousie-dark-shadow;

    @media (width <= 768PX) {
      position: relative;
      top: 0;
      left: 0 !important;

      display: block;

      width: 100%;
      height: auto;

      animation: none;
    }

    &::before {
      position: absolute;
      top: 0;
      right: 100%;

      width: 100%;
      height: 100%;

      content: "";

      background-color: $gradientDarkBlue;
    }

    &::after {
      position: absolute;
      top: 0;
      left: 100%;

      content: "";

      border: 100px solid transparent;
      border-top: 120vh solid $gradientLightBlue;
      border-left: 10px solid $gradientLightBlue;
    }
  }

  // .menu__right-blue
  &__right-blue {
    position: absolute;
    z-index: -1;
    top: -10%;
    right: 0%;

    width: 100px;
    height: 120%;

    transition: all 1s easeOutCirc;
    animation-name: menu-right-blue;
    animation-duration: 1s;

    background: $gradientRightBlue;
    box-shadow: $jalousie-dark-shadow;

    @media (width <= 768PX) {
      display: none;

      animation: none;
    }

    &::after {
      position: absolute;
      top: 0;
      left: 100%;

      width: 100%;
      height: 100%;

      content: "";

      background-color: $gradientDarkBlue;
    }

    &::before {
      position: absolute;
      top: 0;
      right: 100%;

      display: block;

      width: 100px;
      height: 100%;

      content: "";

      border: 100px solid transparent;
      border-top: 120vh solid $gradientLightBlue;
      border-right: 0 solid $gradientLightBlue;
    }
  }

  // .menu__left-orange
  &__left-orange {
    position: absolute;
    z-index: 0;
    top: 0;
    left: 0%;

    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: space-between;

    width: 650px;
    height: 100%;
    padding: 7% 0;

    transition: all 1s easeOutCirc;
    animation-name: menu-left-orange;
    animation-duration: 1s;

    background: $subsidiary-dark;
    box-shadow: $jalousie-dark-shadow;

    @media (max-height: 920px) {
      padding-bottom: 0;
    }
    
    @media (width <= 992PX) {
      justify-content: center;
    }
    
    @media (width <= 768PX) {
      position: static;

      display: block;

      width: 100%;
      height: auto;
      padding: 50px 0;

      animation: none;
    }

    @media (max-height: 500px) {
      padding-top: 5%;
    }

    .menu__link {
      margin-left: 100px;

      @media (width <= 768PX) {
        margin-left: 5%;
      }
    }

    &::after {
      position: absolute;
      top: 0;
      left: 100%;

      display: block;

      content: "";

      border: 120vh solid transparent;
      border-bottom: 0 solid $subsidiary-dark;
      border-left: 100px solid $subsidiary-dark;
    }
  }

  // .menu__right-orange
  &__right-orange {
    position: absolute;
    z-index: -2;
    top: 0;
    right: 0;

    width: 100px;
    height: 120%;

    transition: all 1s easeOutCirc;
    animation-name: menu-right-orange;
    animation-duration: 1s;

    background: $subsidiary-dark;
    box-shadow: $jalousie-dark-shadow;

    @media (width <= 768PX) {
      display: none;

      animation: none;
    }

    &::after {
      position: absolute;
      top: 0;
      left: 100%;

      width: 100%;
      height: 100%;

      content: "";

      background-color: $subsidiary-dark;
    }

    &::before {
      position: absolute;
      top: 0;
      right: 100%;

      display: block;

      width: 100px;
      height: 100%;

      content: "";

      border: 100px solid transparent;
      border-right: 0 solid $subsidiary-dark;
      border-bottom: 120vh solid $subsidiary-dark;
    }
  }

  //.menu__content
  &__content {
    display: flex;
    overflow: auto;
    flex-direction: column;
    justify-content: space-between;

    max-width: 465px;
    height: 100vh;
    margin: auto;
    padding: 0 5px;
    padding: 50px *;

    @media (max-width: 768PX) {
      height: auto;
      margin-left: 5%;
    }

    @media (max-height: 800PX) {
      padding-bottom: 0;
    }
  }

  //.menu__logo
  &__logo {
    display: block;

    width: 100%;
    margin-bottom: 30px;

    @media (max-height: 800PX) {
      max-width: 200px;
    }

    @media (width <= 768PX) {
      display: none;
    }

    &--mobile {
      display: none;

      @media (width <= 768PX) {
        display: block;
      }
    }

    //.menu__logo img
    img {
      width: 80%;
    }
  }

  //.menu__link
  &__link {
    position: relative;

    display: flex;
    overflow: hidden;
    align-items: center;
    justify-content: center;

    width: 100%;
    max-width: 250px;
    min-height: 46px;
    margin-bottom: 20px;

    cursor: pointer;
    transition: all 0.4s linear;

    color: $white;
    border: 1px solid $white;

    font-size: 24px;

    @media (max-height: 800PX) {
      min-height: 36px;

      font-size: 18px;
    }

    &:before {
      position: absolute 0 0 0 0;
      z-index: -1;

      display: flex;

      width: 100%;

      content: "";
      transition: all 0.4s ease-out;
      transform: translate(-100%, 0);

      background-color: $blue;
    }

    &:hover {
      &:before {
        transform: translate(0, 0);
      }
    }

    &--orange {
      border: none;
      background-color: $orange;

      &:hover {
        background-color: red;
      }
    }
  }

  //.menu-contacts
  &-contacts {
    display: flex;
    flex-direction: column;

    min-height: 180px;

    //.menu-contacts__item
    &__item {
      display: flex;
      align-items: center;

      margin-bottom: 15px;

      color: $white;

      font-size: 18px;
      line-height: 1.5;

      @media (max-height: 800PX) {
        font-size: 16px;
      }

      //.menu-contacts__item i
      i {
        margin-right: 15px;
      }

      //.menu-contacts__item div
      div {
        display: flex;
        flex-direction: column;

        //.menu-contacts__item div a
        a {
          color: $white;

          font-size: 18px;
          line-height: 1.5;
        }
      }
    }
  }
}

@keyframes menu-left-orange {
  0% {
    left: -100%;

    transform: rotate(0);
  }

  75% {
    left: 0;

    transform: rotate(-7.15deg);
  }

  100% {
    transform: rotate(0);
  }
}

@keyframes menu-left-blue {
  0% {
    left: -100%;

    transform: rotate(0);
  }

  75% {
    left: 0;

    transform: rotate(7.15deg);
  }

  100% {
    transform: rotate(0);
  }
}

@keyframes menu-right-orange {
  0% {
    right: -100%;

    transform: rotate(0);
  }

  75% {
    right: 0;

    transform: rotate(7.15deg);
  }

  100% {
    transform: rotate(0);
  }
}

@keyframes menu-right-blue {
  0% {
    right: -100%;

    transform: rotate(0);
  }

  75% {
    right: 0;

    transform: rotate(-7.15deg);
  }

  100% {
    transform: rotate(0);
  }
}

//.nav-menu
.nav-menu {
  margin-bottom: 30px;

  //.nav-menu__item
  &__item {
    display: flex;
    align-items: center;
    justify-content: flex-start;

    margin-bottom: 30px;

    transition: all 0.2s linear;

    @media (max-height: 800PX) {
      margin-bottom: 15px;
    }

    &--mobile {
      @media (width >= 768PX) {
        display: none;
      }
    }

    //.nav-menu__item
    a {
      display: flex;

      width: 100%;

      color: $white;

      font-size: 24px;
      line-height: 1.5;

      @media (max-height: 800PX) {
        font-size: 18px;
      }
    }

    &:last-child {
      margin-bottom: 0;
    }

    //.nav-menu__item i
    i {
      display: inline-flex;

      margin-right: 10px;

      transition: all 0.2s linear;

      color: $white;

      font-size: 24px;
      line-height: 1.5;

      @media (max-height: 800PX) {
        font-size: 18px;
      }

      &.active {
        transform: rotate(180deg);
      }
    }

    &:hover {
      text-shadow: 0 0 10px rgba(255, 255, 255, 1);

      i {
        color: $subsidiary-dark;
      }
    }
  }
}

//.nav-courses
.nav-courses {
  display: flex;
  flex-direction: column;

  padding: 50px *;
  padding-left: 100px;
  opacity: 0;

  @media (width <= 768PX) {
    margin-left: 5%;
    padding: 0;

    opacity: 1;
  }

  @media (max-height: 920px) {
    padding: 20px *;
  }
  //.nav-courses__item
  &__item {
    display: block;

    width: 100%;
    max-width: 350px;
    margin-bottom: 15px;

    transition: opacity 0.3s linear;

    color: $white;

    @media (max-height: 920px) {
      margin-bottom: 15px;
    }

    i {
      font-size: 24px;
    }

    //.nav-courses__item a
    a {
      display: inline-flex;
      align-items: center;

      color: $white;

      font-size: 20px;
      line-height: 1.2;

      &:hover, &:active{
        i {
          color: #00dceb;
        }
      }

      i {
        margin-right: 20px;
      }

      span{
        em{
          font-style: normal;
          font-size: 17px;
        }
        //font-size: 17px;


      }
    }
  }
}

.menu-inside {
  display: flex;
  overflow-x: hidden;
  overflow-y: auto;
  flex-direction: column;
  justify-content: flex-start;

  height: 100%;
  min-height: 600px;
}

.menu-inside__hide {
  display: flex;

  width: 100%;

  padding-left: 85px;

  cursor: pointer;
  transition: 0.4s all ease-in;

  color: rgba(#000, 0.3);
  border: none;
  background-color: transparent;

  font-size: 24px;
  font-weight: bold;

  @media (width <= 768PX) {
    display: none;
  }

  &:hover {
    transform: translateX(20px);
  }

  span {
    margin-left: 20px;
  }
}

//#mainMenu::-webkit-scrollbar-track {
//  background-color: $lightGray;
//}
//
//#mainMenu::-webkit-scrollbar {
//  width: 5px;
//}
//
//#mainMenu::-webkit-scrollbar-thumb {
//  background-color: $brightBlue;
//}

.mobile-menu-close {
  position: absolute;
  z-index: 1;
  top: 50px;
  right: 50px;

  display: none;

  padding: 15px;

  cursor: pointer;

  border: none;
  background-color: transparent;

  font-size: 32px;

  @media (width <= 768PX) {
    display: block;
  }

  // .window-popup-close__icon
  &__icon {
    &::before {
      transform: rotate(45deg);
    }
  }
}
.simplebar-content{
  overflow-x: auto;
}
.simplebar-scrollbar{
  width: 5px;
  right: 0px;
  &:before{
    background: $orange;
    border-radius: 0;
    opacity: 1;
  }
}
.simplebar-track{
  width: 5px;
  background-color: #d5d5d5;;
}
.simplebar-track:hover .simplebar-scrollbar:before, .simplebar-track .simplebar-scrollbar.visible:before {
  opacity: 1;
}
.simplebar-track.vertical .simplebar-scrollbar:before {
  top: 0px;
  bottom: 0px;
}
.macintosh{
  .menu__left-blue{
    &:after {
      border-left: initial;
    }
  }
}

